<div>
    <h2 id="page-heading">
        <span>Case Steps</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-case-step" [routerLink]="['/case-step/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Case Step
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="caseSteps?.length === 0">
        <span>No caseSteps found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="caseSteps && caseSteps.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Name</span></th>
                    <th scope="col" ><span>Case Id</span></th>
                    <th scope="col" ><span>Begin</span></th>
                    <th scope="col" ><span>Team</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let caseStep of caseSteps ;trackBy: trackId">
                    <td><a [routerLink]="['/case-step', caseStep.id, 'view']">{{ caseStep.id }}</a></td>
                    <td>{{ caseStep.name }}</td>
                    <td>{{ caseStep.caseId }}</td>
                    <td>{{ caseStep.begin }}</td>
                    <td>
                        <div *ngIf="caseStep.team">
                            <a [routerLink]="['/team', caseStep.team?.id, 'view']" >{{ caseStep.team?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/case-step', caseStep.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/case-step', caseStep.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(caseStep)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
